﻿using LJLib.Net.SPI.Com;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace LJProxy.Models
{
    public class GetAppUserInfoRequest:LJRequest
    {
        public string fundid { get; set; }
        public string oldToken { get; set; }
    }

    public class GetAppUserInfoResponse : LJResponse
    {
        /// <summary>
        /// 用户功能ID列表
        /// </summary>
        public string rsltFunids { get; set; }
        /// <summary>
        /// 用户语言
        /// </summary>
        public string langcode { get; set; }

        //以下格式未定
        /// <summary>
        /// 用户权限列表
        /// </summary>
        public string userPower { get; set; }
        /// <summary>
        /// 用户时区
        /// </summary>
        public string timezone { get; set; }
        /// <summary>
        /// 用户所在工组的工序技能
        /// </summary>
        public string usercando { get; set; }
        /// <summary>
        /// 系统基础标签
        /// </summary>
        public string[] basicLabel { get; set; }
    }


}
